from Products.CMFCore.utils import getToolByName, manage_addTool
from Acquisition import aq_base
from Products.PloneHelpRegistry.config import PROJECTNAME, SKINS_DIR, GLOBALS
from Products.PloneHelpRegistry.PloneHelpRegistryTool import PloneHelpTool
from Products.Archetypes.Extensions.utils import install_subskin
from StringIO import StringIO

def install(self):
    """Install tool."""

    out = StringIO()

    install_subskin(self, out, globals=GLOBALS,
            product_skins_dir=SKINS_DIR)
    print >> out, "Installed skins"
    
    portal = getToolByName(self, 'portal_url').getPortalObject()
    #manage_addTool(portal, 'Plone Help Registry Tool')

    # Install tool
    add_tool = self.manage_addProduct[PROJECTNAME].manage_addTool
    help_tool = getattr(self, PloneHelpTool.id, None)
    if help_tool is None:
        add_tool(PloneHelpTool.meta_type)
    else:
        help_tool.initProperties()

    print >> out, "Installed Plone Help Registry Tool."

    return out.getvalue()


