from interface import Interface, Attribute
from Products.CMFPlone.interfaces.PloneBaseTool import IPloneBaseTool

class IHelpTool(IPloneBaseTool):
    """ Interface for the ControlPanel """

    def registerConfiglet( id
                 , name
                 , action
                 , condition=''
                 , permission=''
                 , category='Plone'
                 , visible=1
                 , appId=None
                 , imageUrl=None
                 , description=''
                 , REQUEST=None
                 ):
        """ Registration of a Configlet """

    def unregisterConfiglet(id):
        """ unregister Configlet """

    def unregisterApplication(appId):
        """ unregister Application with all configlets """

    def getGroupIds():
        """ list of the group ids """

    def getGroups():
        """ list of groups as dicts with id and title """

    def enumConfiglets(group=None):
        """ lists the Configlets of a group, returns them as dicts by
            calling .getAction() on each of them """

    def getAllHelp(obj, group=''):
        """ Return all help groups and their respective help actions.

        Returns a list of dictionaries, with each dictionary
        an item for the group itself, and for a list of the
        items for that group. Only groups with visible help
        items in it will be returned.
        """
